from django.db import models

class Artist(models.Model):
    artist_name = models.TextField(default="")
    monthly_listeners = models.IntegerField(default=0)
    birth_name = models.TextField(default="")
    bio = models.TextField(max_length=700, default="")

    def __str__(self):
        return '{}'.format(self.artist_name)

class Album(models.Model):
    album_name = models.TextField(default="")
    artist = models.TextField(default="")
    description = models.TextField(default="")
    release_date = models.DateField()
    label = models.TextField(default="")
    song_count = models.IntegerField(default=0)

    def __str__(self):
        return '{}'.format(self.album_name)

class Song(models.Model):
    song_title = models.TextField(default="")
    artist = models.TextField(default="")
    album = models.TextField(default="")
    song_length = models.IntegerField(default=0)
    music_video = models.BooleanField(default=False)
    lyrics = models.TextField(default="")

    def __str__(self):
        return '{}'.format(self.song_title)
